Subject: [bug#32165] [PATCH] gnu: Add cdrkit-libre.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 26 Jul 2018 10:56:27 +0200

Hello,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>>
>>> * gnu/packages/cdrom.scm (cdrkit-libre): New variable.
>>
>> [...]
>>
>>> +    (source (origin
>>> +              (method url-fetch)
>>> +              (uri (string-append
>>> +                    "https://repo.parabola.nu/other/cdrkit-libre/cdrkit-libre-"
>>> +                    version ".tar.gz"))
>>
>> Like Nils I wonder: can you explain how it differs from cdrkit?  Could
>> we use upstream cdrkit + snippet/patches instead of taking the source
>> from Parabola’s repo?
>
> Comparing Nix cdrkit with Parabola cdrkit-libre tarball not much differ.
>
> $ /tmp/local$ diff -r -u cdrkit-1.1.11-nix/  cdrkit-1.1.11-parabola/
> Only in cdrkit-1.1.11-nix/doc/genisoimage: README.hfs_boot
> Only in cdrkit-1.1.11-nix/genisoimage: apple_driver.8
> Only in cdrkit-1.1.11-nix/genisoimage: apple_driver.c
>
>
> I probably could get a diff for apple_driver.{8,c} files, but the the
> upstream URI http://cdrkit.org/releases/cdrkit.tar.gz is dead.  I'm not
> sure where is a better place to fetch the release tarball except from
> another GNU/Linux distribution like Parabola.

Uh, indeed.  The perhaps add a comment above the URL stating that (1)
cdrkit.org is dead, and (2) cdrkit-libre removes a couple of problematic
files, with a link to this discussion.

>>> +    (home-page "http://cdrkit.org/")
>>
>> Like Nils wrote, is this the right URL?
>
> It's a right URL, I think.  I converted recipe from Parabola, which
> references the same URL [1].  Maybe I should use a Parabola repository
> URL <https://repo.parabola.nu/other/cdrkit-libre/>?

http://cdrkit.org is currently empty.  Either way is fine with me.

>>> +    (synopsis "Portable command-line CD/DVD recorder software, mostly
>>> +compatible with cdrtools")
>>
>> “Command-line CD/DVD recorder” is enough IMO.
>
> OK.
>
>>> +    (description "Cdrkit is a suite of programs for recording CDs and DVDs,
>>> +blanking CD-RW media, creating ISO-9660 filesystem images, extracting audio CD
>>> +data, and more.")
>>
>> Here you can mention that it’s “mostly compatible …”.
>
> Do you mean “creating more compatible ISO-9660 …”?

I meant “mostly compatible with cdrtools”, which is what you had in
‘synopsis’ initially.

Looks like you’re now ready to go.

Thank you!

Ludo’.